Browse Source

fix some linting issues

Christian Grothoff 3 years ago
parent
commit
38b2445cbe

+ 1 - 1
doc/man/produce_html.sh.in

@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 
 if test -e @PKGDATADIRECTORY@/existence.sh
 then

+ 1 - 1
src/gns/test_gnunet_gns.sh.in

@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 # This file is in the public domain.
 # test -z being correct was a false assumption here.
 # I have no executable 'fooble', but this will

+ 4 - 4
src/gns/test_proxy.sh

@@ -31,10 +31,10 @@ cat local.crt > /tmp/server_cacert.pem
 cat local.key >> /tmp/server_cacert.pem
 
 gnunet-identity -C test -c test_gns_proxy.conf
-gnunet-namestore -p -z test -a -n www -t A -V 127.0.0.1 -e never -c test_gns_proxy.conf
-gnunet-namestore -p -z test -a -n www -t LEHO -V "test.local" -e never -c test_gns_proxy.conf
-gnunet-namestore -p -z test -a -n www -t BOX -V "$OLDBOXVALUE" -e never -c test_gns_proxy.conf
-gnunet-namestore -p -z test -a -n www -t BOX -V "$BOXVALUE" -e never -c test_gns_proxy.conf
+gnunet-namestore -p -z "test" -a -n www -t A -V 127.0.0.1 -e never -c test_gns_proxy.conf
+gnunet-namestore -p -z "test" -a -n www -t LEHO -V "test.local" -e never -c test_gns_proxy.conf
+gnunet-namestore -p -z "test" -a -n www -t BOX -V "$OLDBOXVALUE" -e never -c test_gns_proxy.conf
+gnunet-namestore -p -z "test" -a -n www -t BOX -V "$BOXVALUE" -e never -c test_gns_proxy.conf
 
 gnunet-arm -i gns-proxy -c test_gns_proxy.conf
 

+ 3 - 3
src/reclaim/test_reclaim_consume.sh

@@ -6,7 +6,7 @@ if [ -z $LOCATION ]
 then
   LOCATION="gnunet-config"
 fi
-$LOCATION --version 1> /dev/null
+$LOCATION --version 1>/dev/null
 if test $? != 0
 then
 	echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
@@ -20,7 +20,7 @@ rm -rf `gnunet-config -c test_reclaim.conf -s PATHS -o GNUNET_HOME -f`
 #  (3) PKEY3.user -> PKEY4
 
 
-which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
+which timeout >/dev/null 2>&1 && DO_TIMEOUT="timeout 30"
 
 TEST_ATTR="test"
 gnunet-arm -s -c test_reclaim.conf
@@ -32,7 +32,7 @@ TEST_KEY=$(gnunet-identity -d -e testego -q -c test_reclaim.conf)
 gnunet-reclaim -e testego -a email -V john@doe.gnu -c test_reclaim.conf
 gnunet-reclaim -e testego -a name -V John -c test_reclaim.conf
 TICKET=$(gnunet-reclaim -e testego -i "email,name" -r $SUBJECT_KEY -c test_reclaim.conf | awk '{print $1}')
-gnunet-reclaim -e rpego -C $TICKET -c test_reclaim.conf > /dev/null 2>&1
+gnunet-reclaim -e rpego -C $TICKET -c test_reclaim.conf >/dev/null 2>&1
 
 if test $? != 0
 then

+ 1 - 1
src/reclaim/test_reclaim_issue.sh

@@ -20,7 +20,7 @@ rm -rf `gnunet-config -c test_reclaim.conf -s PATHS -o GNUNET_HOME -f`
 #  (3) PKEY3.user -> PKEY4
 
 
-which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
+which timeout >/dev/null 2>&1 && DO_TIMEOUT="timeout 30"
 
 TEST_ATTR="test"
 gnunet-arm -s -c test_reclaim.conf

+ 5 - 5
src/reclaim/test_reclaim_revoke.sh

@@ -20,10 +20,10 @@ rm -rf `gnunet-config -c test_reclaim.conf -s PATHS -o GNUNET_HOME -f`
 #  (3) PKEY3.user -> PKEY4
 
 
-which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
+which timeout >/dev/null 2&>1 && DO_TIMEOUT="timeout 30"
 
 TEST_ATTR="test"
-gnunet-arm -s -c test_reclaim.conf 2&>1 > /dev/null
+gnunet-arm -s -c test_reclaim.conf >/dev/null 2&>1
 gnunet-identity -C alice -c test_reclaim.conf
 gnunet-identity -C bob -c test_reclaim.conf
 gnunet-identity -C eve -c test_reclaim.conf
@@ -43,7 +43,7 @@ sleep 16
 echo "Consuming $TICKET"
 
 gnunet-reclaim -e eve -C $TICKET_EVE -c test_reclaim.conf
-if test $? == 0
+if test $? = 0
 then
   echo "Eve can still resolve attributes..."
   gnunet-arm -e -c test_reclaim.conf
@@ -51,10 +51,10 @@ then
 fi
 
 gnunet-arm -e -c test_reclaim.conf
-gnunet-arm -s -c test_reclaim.conf 2&>1 > /dev/null
+gnunet-arm -s -c test_reclaim.conf >/dev/null 2&>1
 
 gnunet-reclaim -e bob -C $TICKET_BOB -c test_reclaim.conf
-#gnunet-reclaim -e bob -C $TICKET_BOB -c test_reclaim.conf 2&>1 >/dev/null
+#gnunet-reclaim -e bob -C $TICKET_BOB -c test_reclaim.conf >/dev/null 2&>1
 if test $? != 0
 then
   echo "Bob cannot resolve attributes..."

+ 2 - 2
src/scalarproduct/test_scalarproduct.sh

@@ -25,7 +25,7 @@ echo "Waiting for peers to start..."
 sleep 5
 echo "Running test..."
 
-which timeout &> /dev/null && DO_TIMEOUT="timeout 15"
+which timeout >/dev/null 2>&1 && DO_TIMEOUT="timeout 15"
 
 # get bob's peer ID, necessary for alice
 PEERIDBOB=`${DO_TIMEOUT} gnunet-peerinfo -qs $CFGBOB`
@@ -38,7 +38,7 @@ RESULT=`${DO_TIMEOUT} gnunet-scalarproduct $CFGALICE $INPUTALICE -p $PEERIDBOB`
 # terminate the testbed
 kill $PID
 
-if [ "$RESULT" == "$EXPECTED" ]
+if [ "$RESULT" = "$EXPECTED" ]
 then
 	echo "OK"
 	exit 0

+ 2 - 2
src/scalarproduct/test_scalarproduct_negative.sh

@@ -11,7 +11,7 @@ PREFIX=/tmp/test-scalarproduct`date +%H%M%S`
 CFGALICE="-c $PREFIX/0/config"
 CFGBOB="-c $PREFIX/1/config"
 
-which timeout &> /dev/null && DO_TIMEOUT="timeout 15"
+which timeout >/dev/null 2>&1 && DO_TIMEOUT="timeout 15"
 
 # launch two peers in line topology non-interactively
 #
@@ -36,7 +36,7 @@ RESULT=`${DO_TIMEOUT} gnunet-scalarproduct $CFGALICE $INPUTALICE -p $PEERIDBOB`
 kill $PID
 
 EXPECTED="-0CCC"
-if [ "$RESULT" == "$EXPECTED" ]
+if [ "$RESULT" = "$EXPECTED" ]
 then
     	echo "OK"
         exit 0

+ 2 - 2
src/scalarproduct/test_scalarproduct_negativezero.sh

@@ -22,7 +22,7 @@ PID=$!
 # sleep 1 is too short on most systems, 2 works on most, 5 seems to be safe
 sleep 5
 
-which timeout &> /dev/null && DO_TIMEOUT="timeout 15"
+which timeout >/dev/null 2>&1 && DO_TIMEOUT="timeout 15"
 
 # get bob's peer ID, necessary for alice
 PEERIDBOB=`${DO_TIMEOUT} gnunet-peerinfo -qs $CFGBOB`
@@ -36,7 +36,7 @@ RESULT=`${DO_TIMEOUT} gnunet-scalarproduct $CFGALICE $INPUTALICE -p $PEERIDBOB`
 kill $PID
 
 EXPECTED="00"
-if [ "$RESULT" == "$EXPECTED" ]
+if [ "$RESULT" = "$EXPECTED" ]
 then
     	echo "OK"
         exit 0